# Notaro_Mouse_LM_2025

**_In vivo_ armed macrophages curb liver metastasis through tumor reactive T cell rejuvenation**

Notaro M, Monti M, Beretta S, Merelli I, Squadrito M, _et al._; 2025

Corresponding Author: Mario Leonardo Squadrito. Email: squadrito.mario@hsr.it

GEO: [GSE273615](https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE273615)
ENA: [PRJEB78386](https://www.ebi.ac.uk/ena/browser/view/PRJEB78386)


## Directories and Files

- environment_singlecell5.yml: contains the conda virtual environment that can be used to install all the dependencies.
- scripts: folder with R scripts used for the analyses
    - TAD012
        - 001_APCs.analysis_liver_12_FINAL_MM.R
        - 002_Liver_Tetramer_and_CD4_GSEA_DOTPLOT_12_Final_MM.R
    - TAD018
        - 001_liver_tumor_APCs_MLS_dotplotstellari_radarplot_FINAL_MM.R
        - 002_Liver_Tumor_TNK_dotplot_radar_GSEA_FINAL_MM.R
        - 003_Alluvial.plot_FINAL_MM.R
    - TAD019
        - 000_subsetting.R
        - 001_APCs.merged_analysis_19_FINAL_MM.R
        - 002_TandNK.merged_analysis_19_FINAL_MM.R
        - 003_Multinichnet_Tumor_TAD19_MM.R
    - Vizgen
        - heatmap_transcript_distance_simplified.R
        - Vizgen_transcript_distance.R
    - Others
        - plot_stellare_function.R
        - seurat_init.R: seurat analysis pipeline part 1;
        - seurat_final.R: seurat analysis pipeline part 2;
        - useful_functions.R: contains functions for UMAP, featureplots, Violin plots;
- data: results of the analyses
    - plots
    - tables
- reference
    - regev_lab_cell_cycle_mouse.rds: contains the genes involved in the cell cycle in mouse
    - GSEA: reference files for GSEA analysis

## scRNAseq analysis
The initial preprocessing of the data, including mapping against the _Mus musculus_ GRCm38 reference genome and gene counting, was done using the 10x Genomics Cell Ranger Software (v7.2.0) using default parameters. The resulting data were imported into R and analyzed with the Seurat package (v5.0.1).

